Page MenuHomePhabricator

AArch64: support binutils-like things on arm64_32.
ClosedPublic

Authored by t.p.northover on Apr 29 2019, 6:34 AM.

Details

Summary

This adds support for the arm64_32 watchOS ABI to LLVM's low level tools, teaching them about the specific MachO choices and constants needed to disassemble things sensibly.

Diff Detail

Repository
rL LLVM

Event Timeline

t.p.northover created this revision.Apr 29 2019, 6:34 AM
Herald added a project: Restricted Project. · View Herald TranscriptApr 29 2019, 6:34 AM
fhahn added a subscriber: fhahn.May 8 2019, 7:05 AM
fhahn added inline comments.
llvm/lib/Support/ARMTargetParser.cpp
292–294

It might be good to add arm64_32 tests to llvm/unittests/Support/TargetParserTest.cpp

llvm/lib/Support/Triple.cpp
25

It might be good to add arm64_32 tests to llvm/unittests/ADT/TripleTest.cpp

Added unittests in suggested places.

fhahn accepted this revision.May 13 2019, 3:40 AM
fhahn added reviewers: rengolin, kristof.beyls, olista01.

LGTM. I've also added a few other reviewers, in case they have additional thoughts.

llvm/tools/llvm-objdump/MachODump.cpp
2048

Could we check for this in one of the tests?

8137

Could we check for this in one of the tests?

This revision is now accepted and ready to land.May 13 2019, 3:40 AM
t.p.northover closed this revision.May 14 2019, 4:26 AM

Thanks Florian, I've committed it as r360663, with the extra tests you suggested.